# Prévia de Parâmetros de Crawler (/pt-BR/api-reference/endpoint/crawl-params-preview)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 1434 · updated: 2026-07-30 -->
Related: [Pesquisa](/pt-BR/api-reference/endpoint/search.md), [Feedback de busca](/pt-BR/api-reference/endpoint/search-feedback.md), [Raspar](/pt-BR/api-reference/endpoint/scrape.md), [Raspar em lote](/pt-BR/api-reference/endpoint/batch-scrape.md), [Obter status do scrape em lote](/pt-BR/api-reference/endpoint/batch-scrape-get.md), [Cancelar raspagem em lote](/pt-BR/api-reference/endpoint/batch-scrape-delete.md)



`POST /crawl/params-preview`

Pré-visualizar parâmetros de rastreamento gerados a partir de um prompt em linguagem natural

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "properties": {
            "prompt": {
              "description": "Prompt em linguagem natural que descreve o que você deseja rastrear",
              "maxLength": 10000,
              "type": "string"
            },
            "url": {
              "description": "URL a ser rastreada",
              "format": "uri",
              "type": "string"
            }
          },
          "required": [
            "url",
            "prompt"
          ],
          "type": "object"
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "data": {
                "properties": {
                  "allowExternalLinks": {
                    "description": "Define se links externos serão permitidos",
                    "type": "boolean"
                  },
                  "allowSubdomains": {
                    "description": "Permitir subdomínios",
                    "type": "boolean"
                  },
                  "crawlEntireDomain": {
                    "description": "Se deve rastrear todo o domínio",
                    "type": "boolean"
                  },
                  "deduplicateSimilarURLs": {
                    "description": "Se URLs semelhantes devem ser deduplicadas",
                    "type": "boolean"
                  },
                  "delay": {
                    "description": "Intervalo entre requisições em milissegundos",
                    "type": "number"
                  },
                  "excludePaths": {
                    "description": "Padrões de URL a serem excluídos",
                    "items": {
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "ignoreQueryParameters": {
                    "description": "Indica se os parâmetros de consulta devem ser ignorados",
                    "type": "boolean"
                  },
                  "ignoreRobotsTxt": {
                    "description": "Se as regras do robots.txt são ignoradas",
                    "type": "boolean"
                  },
                  "includePaths": {
                    "description": "Padrões de URL a serem incluídos",
                    "items": {
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "limit": {
                    "description": "Número máximo de páginas para rastrear",
                    "type": "integer"
                  },
                  "maxDepth": {
                    "description": "Profundidade máxima de rastreamento",
                    "type": "integer"
                  },
                  "maxDiscoveryDepth": {
                    "description": "Profundidade máxima de descoberta",
                    "type": "integer"
                  },
                  "robotsUserAgent": {
                    "description": "String de User-Agent personalizada usada para a avaliação do robots.txt",
                    "type": "string"
                  },
                  "sitemap": {
                    "description": "Estratégia de tratamento de sitemaps",
                    "enum": [
                      "skip",
                      "include"
                    ],
                    "type": "string"
                  },
                  "url": {
                    "description": "A URL que será rastreada",
                    "format": "uri",
                    "type": "string"
                  }
                },
                "type": "object"
              },
              "success": {
                "example": true,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "Resposta bem-sucedida com parâmetros de rastreamento gerados"
    },
    "400": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Invalid request parameters",
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "Solicitação inválida"
    },
    "401": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Unauthorized",
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "Não autorizado"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Failed to process natural language prompt",
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "Erro do servidor"
    }
  }
}
```
